/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/EDITPROJ.H__   1.6   20 Jun 1996 09:30:24   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/EDITPROJ.H__  $
** 
**    Rev 1.6   20 Jun 1996 09:30:24   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.4   10 Jun 1996 10:25:04   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.2   29 May 1996 09:37:48   ZJRD
** EasyPack/SLD Version 1.95
** 
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
// editproj.h
//
// Roger Zhang
//                                                                           
// 5/7/96
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _EDITPROJ_
#define _EDITPROJ_             

/////////////////////////////////////////////////////////////////////////////
// CEditProjectDialog dialog

class CEditProjectDialog : public CDialog
{
// Construction
public:
    CEditProjectDialog(LPCSTR lpcszFile, CStringList * pList, CWnd* pParent = NULL);  

// Dialog Data
    //{{AFX_DATA(CEditProjectDialog)
    enum { IDD = IDD_PROJEDIT };
    CListBox    m_lstProj;
    CListBox    m_lstPath;
    CListBox    m_lstName;
    CComboBox   m_lstType;
    int     m_nFile;
    int     m_nPath;
    int     m_nProj;
    CString m_strDir;
    int     m_nType;
    int     m_nTypeFlag;
    //}}AFX_DATA
    
    CStringList * m_pList;
    CString     m_strTitle;
// Implementation
protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

    // Generated message map functions
    //{{AFX_MSG(CEditProjectDialog)
    virtual BOOL OnInitDialog();
    afx_msg void OnProjeditAdd();
    afx_msg void OnProjeditDelete();
    afx_msg void OnDblclkProjeditFile();
    afx_msg void OnDblclkProjeditPath();
    afx_msg void OnDblclkProjeditProj();
    virtual void OnOK();
    afx_msg void OnSelchangeProjeditTypecom();
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif // _EDITPROJ_
